Author [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] [EN] [ZH] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Careful when upgrading delegate to 0.4.25  (Read 611 times)

Offline Riverhead

Careful when upgrading delegate to 0.4.25
« on: December 12, 2014, 02:35:48 AM »


Perhaps the new high speed blockchain downloading or something but it hosed my VPS and crashed the 0.4.24 version (machine is currently locked up :P )

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 11958
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Careful when upgrading delegate to 0.4.25
« Reply #1 on: December 12, 2014, 02:38:56 AM »
I experienced something similuar ... it's a 2GB machine with 4GB swap space .. still the console froze to death with the RC2 build ... building stable atm ..
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline Riverhead

Re: Careful when upgrading delegate to 0.4.25
« Reply #2 on: December 12, 2014, 02:42:07 AM »
I experienced something similuar ... it's a 2GB machine with 4GB swap space .. still the console froze to death with the RC2 build ... building stable atm ..

This was running the client. It core dumped once and then next run it started to download and then froze the machine. I've rebooted it from the console web page but sadly my other machines are reindexing and I can't bring up the delegate. Learning process :).

Offline abit

Careful when upgrading delegate to 0.4.25
« Reply #3 on: December 12, 2014, 02:49:40 AM »
Any help if run in limited-resource mode? I have not finish compiling.
BTS account: abit
BTS committee member: abit
BTS witness: in.abit

Offline Riverhead

Re: Careful when upgrading delegate to 0.4.25
« Reply #4 on: December 12, 2014, 02:54:12 AM »
Any help if run in limited-resource mode? I have not finish compiling.

I'll give that a try. I've gone back to 0.2.24 until I do more testing on dev server. I need to have my head examined for updating prod untested :(.

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 11958
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BTS: xeroc
  • GitHub: xeroc
Re: Careful when upgrading delegate to 0.4.25
« Reply #5 on: December 12, 2014, 03:02:43 AM »
client frozen on VPS with 2GB ram and 4GB swap .. :(
rand for a few seconds .. than stuck .. no more output .. not taking commands
Code: [Select]
  PID USER      PR  NI    VIRT    RES    SHR S %CPU %MEM     TIME+ COMMAND                                     
23578 delegate  20   0 1664208 267832  25384 R 96.8 13.1   3:27.85 bitshares_client

Code: [Select]
             total       used       free     shared    buffers     cached
Mem:       2044004    2027600      16404          8       2456    1725848
-/+ buffers/cache:     299296    1744708
Swap:      4194300     408448    3785852

gonna stick with the backup machine for now ..

paging @vikram
« Last Edit: December 12, 2014, 03:05:52 AM by xeroc »
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH

Offline Riverhead

Re: Careful when upgrading delegate to 0.4.25
« Reply #6 on: December 12, 2014, 03:05:38 AM »
client frozen on VPS with 2GB ram and 4GB swap .. :(
rand for a few seconds .. than stuck .. no more output .. not taking commands

Same. I had to shut the machine down via the web console of the VPS because the ssh session had completely froze.

Offline vikram

Re: Careful when upgrading delegate to 0.4.25
« Reply #7 on: December 12, 2014, 04:04:56 AM »
Sorry for the short notice with the update but we had some important fixes.

Were you guys able to get these up and running at all?

In the past I've had my console freeze up during initial syncing, but comes back after syncing.

Was is crashes or just freezing? Any more details?

I am on Skype right now also.

Offline Riverhead

Re: Careful when upgrading delegate to 0.4.25
« Reply #8 on: December 12, 2014, 04:06:41 AM »
PM me your skype id?

Offline dannotestein

Re: Careful when upgrading delegate to 0.4.25
« Reply #9 on: December 12, 2014, 04:08:35 AM »
Our delegate is running fine, but it is consuming a lot of virtual memory (2.3GB, but doesn't seem to be increasing) during initial sync. My best guess is that the people with problems are swapping due to insufficient memory. We already suspected a leak in the previous client during syncing (last client required 1.6GB on windows for initial sync).
http://blocktrades.us Fast/Safe/High-Liquidity Crypto Coin Converter

Offline Riverhead

Re: Careful when upgrading delegate to 0.4.25
« Reply #10 on: December 12, 2014, 04:09:17 AM »
It's possible the box may have come back. The delegate I had running on that box started missing blocks because nothing else could be processed.

I have it syncing on another box now and once it's all up to date I'll turn that on as the block signer and update my version number.


Offline Xeldal

Re: Careful when upgrading delegate to 0.4.25
« Reply #11 on: December 12, 2014, 04:11:51 AM »
My 1GB instance is continually crashing while syncing, Initially this crashed and (appeared to be) locked up.  I had to restart

My 4GB instance hasn't crashed at all.

Offline dannotestein

Re: Careful when upgrading delegate to 0.4.25
« Reply #12 on: December 12, 2014, 04:15:01 AM »
yep, I think 3 to 4GB is a good minimum requirement for now for delegates, until we can isolate the cause of the heavier memory requirements.
http://blocktrades.us Fast/Safe/High-Liquidity Crypto Coin Converter

Offline Riverhead

Re: Careful when upgrading delegate to 0.4.25
« Reply #13 on: December 12, 2014, 04:19:43 AM »
yep, I think 3 to 4GB is a good minimum requirement for now for delegates, until we can isolate the cause of the heavier memory requirements.
Agreed. Going to upgrade.

Offline vikram

Re: Careful when upgrading delegate to 0.4.25
« Reply #14 on: December 12, 2014, 04:20:44 AM »
I've updated the release notes to include a note about the memory requirement: https://github.com/BitShares/bitshares/releases/tag/v0.4.25

 

Google+